Package com.complexible.stardog.api.admin.pack

# Class ClusterNodeStatus

java.lang.Object
com.complexible.stardog.api.admin.pack.ClusterNodeStatus

public class ClusterNodeStatus extends Object

A convenience class to status information from many nodes

Since:
  5.0
Version:
  5.0
Author:
  John Bresnahan

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ClusterNodeStatus(String theNodeAddress, Map<String,Object> theMetadata, ClusterNodeType theNodeType, ClusterNodeRole theNodeRole, boolean theReadOnly, UUID theLastAdminTx, UUID theLastZKSystemDbTx, Map<String,UUID> theDatabaseTxns, Map<String,UUID> theZKDatabaseTxns)`
  `ClusterNodeStatus(String theNodeAddress, Map<String,Object> theMetadata, String theNodeType, String theNodeRole, boolean theReadOnly, UUID theLastAdminTx, UUID theLastZKSystemDbTx, Map<String,UUID> theDatabaseTxns, Map<String,UUID> theZKDatabaseTxns)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Map<String,UUID>`
  `getDatabaseTxns()`
  `UUID`
  `getLastAdminTx()`
  `String`
  `getLastZKSystemDbTx()`
  `Map<String,Object>`
  `getMetadata()`
  `String`
  `getNodeAddress()`
  `ClusterNodeType`
  `getNodeType()`
  `boolean`
  `getReadOnly()`
  `ClusterNodeRole`
  `getRole()`
  `Map<String,UUID>`
  `getZKDatabaseTxns()`
  `boolean`
  `isCoordinator()`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### ClusterNodeStatus

    public ClusterNodeStatus(String theNodeAddress, Map<String,Object> theMetadata, String theNodeType, String theNodeRole, boolean theReadOnly, UUID theLastAdminTx, UUID theLastZKSystemDbTx, Map<String,UUID> theDatabaseTxns, Map<String,UUID> theZKDatabaseTxns)

  - ### ClusterNodeStatus

    public ClusterNodeStatus(String theNodeAddress, Map<String,Object> theMetadata, ClusterNodeType theNodeType, ClusterNodeRole theNodeRole, boolean theReadOnly, UUID theLastAdminTx, UUID theLastZKSystemDbTx, Map<String,UUID> theDatabaseTxns, Map<String,UUID> theZKDatabaseTxns)

- ## Method Details

  - ### getNodeAddress

    public String getNodeAddress()

  - ### getMetadata

    public Map<String,Object> getMetadata()

  - ### getDatabaseTxns

    public Map<String,UUID> getDatabaseTxns()

  - ### getZKDatabaseTxns

    public Map<String,UUID> getZKDatabaseTxns()

  - ### getNodeType

    public ClusterNodeType getNodeType()

  - ### getRole

    public ClusterNodeRole getRole()

  - ### getReadOnly

    public boolean getReadOnly()

  - ### getLastAdminTx

    public UUID getLastAdminTx()

  - ### getLastZKSystemDbTx

    public String getLastZKSystemDbTx()

  - ### isCoordinator

    public boolean isCoordinator()